struct Section
    data::DataFrame
    xc::Float64
    yc::Float64
    Ixx::Float64
    Iyy::Float64
    Ixy::Float64

    function Section(A, x, y)
        d = DataFrame(A=A, x=x, y=y)

        d.Ax = d.A .* d.x
        d.Ay = d.A .* d.y

        xc = sum(d.Ax) / sum(d.A)
        yc = sum(d.Ay) / sum(d.A)

        Ixx = sum(d.A .* ((d.y .- yc).^2))
        Iyy = sum(d.A .* ((d.x .- xc).^2))
        Ixy = sum(d.A .* ((d.x .- xc) .* (d.y .- yc)))


        new(d, xc, yc, Ixx, Iyy, Ixy)

    end 


end


